## gstavcfg

gstavcfg

## Functions

void | gst_ffmpeg_cfg_init ()
void | gst_ffmpeg_cfg_install_property ()
gboolean | gst_ffmpeg_cfg_set_property ()
gboolean | gst_ffmpeg_cfg_get_property ()
void | gst_ffmpeg_cfg_fill_context ()
void | gst_ffmpeg_cfg_set_defaults ()
void | gst_ffmpeg_cfg_finalize ()

## Description

## Functions

### gst_ffmpeg_cfg_init ()

    void
    gst_ffmpeg_cfg_init (void);

### gst_ffmpeg_cfg_install_property ()

    void
    gst_ffmpeg_cfg_install_property (GstFFMpegVidEncClass *klass,
                                     guint base);

### gst_ffmpeg_cfg_set_property ()

    gboolean
    gst_ffmpeg_cfg_set_property (GObject *object,
                                 const GValue *value,
                                 GParamSpec *pspec);

#### Returns

### gst_ffmpeg_cfg_get_property ()

    gboolean
    gst_ffmpeg_cfg_get_property (GObject *object,
                                 GValue *value,
                                 GParamSpec *pspec);

#### Returns

### gst_ffmpeg_cfg_fill_context ()

    void
    gst_ffmpeg_cfg_fill_context (GstFFMpegVidEnc *ffmpegenc,
                                 AVCodecContext *context);

### gst_ffmpeg_cfg_set_defaults ()

    void
    gst_ffmpeg_cfg_set_defaults (GstFFMpegVidEnc *ffmpegenc);

### gst_ffmpeg_cfg_finalize ()

    void
    gst_ffmpeg_cfg_finalize (GstFFMpegVidEnc *ffmpegenc);

## Types and Values